
--======================================================--
--                      LIBRARIES                       --
--======================================================--

-- IEEE Libraries --
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
--use IEEE.std_logic_unsigned.all;
use IEEE.std_logic_signed.all;
library work;
--use work.float_pkg.all;

entity s2ps is
	
	port
	(
		dataa					:	in	std_logic_vector(31 downto 0);
		datab					: 	in	std_logic_vector(31 downto 0);
		result				:	out	std_logic_vector(31 downto 0)																		
	);
end s2ps;

----------------------------------------------------------
--       Somme des valeurs absolues des diffrences  SIMD--
----------------------------------------------------------
architecture comp of s2ps is
signal m1,m0,x1,x0 : std_logic_vector (15 downto 0);
signal r,r1,r0 : std_logic_vector(31 downto 0);
begin


m1<= dataa (31 downto 16);
m0<= dataa (15 downto 0);

x1<= datab (31 downto 16);
x0<= datab (15 downto 0);

r1 <= m1*x1;
r0 <= m0*x0;
result <= r0+r1; 
end comp; -- end of architecture

--======================================================--
--**                ARCHITECTURE ENDS                 **--
--======================================================--


