--****--

--======================================================--
--                      LIBRARIES                       --
--======================================================--

-- IEEE Libraries --
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
--use IEEE.std_logic_unsigned.all;
use IEEE.std_logic_signed.all;
library work;
--use work.float_pkg.all;

entity vabs is
	
	port
	(
		dataa					:	in	std_logic_vector(31 downto 0);
		datab					: 	in	std_logic_vector(31 downto 0);
		result				:	out	std_logic_vector(31 downto 0)																		
	);
end vabs;

----------------------------------------------------------
--       Valeur absolue des differences --
----------------------------------------------------------
architecture comp of vabs is
signal  r, m, x : std_logic_vector (31 downto 0);
begin

m<= dataa (31 downto 0);
x<= datab (31 downto 0);

r <= (m-x) when ((m-x)>0) else (x-m);

result(31 downto 0) <= r;
end comp; -- end of architecture

--======================================================--
--**                ARCHITECTURE ENDS                 **--
--======================================================--


